1
vote
0answers
21 views

Setting up ArcPad applet (Python) that calls arcgisscripting?

I've been asked to support a legacy script that was "made" (read: found) by a former coworker. My python skills are pretty basic, so I went right to installing the applet like I would for a VBS ...
6
votes
2answers
254 views

Versions of Python & QGIS for new user to both to install?

I have used GIS (very basic functions), but now want to be able to customize to my needs. My initial research leads me to believe that Python + QGIS is the way to go. I understand that there are ...
0
votes
1answer
38 views

Is it possible to import arcpy module to PyPy interpreter?

I'm trying to use PyPy for my code because of speed. But my code needs arcpy module to run and I cant find out how to install or import this module to arcpy. I'm using PyPy 2.3, Python 2.7 and Win 7. ...
1
vote
1answer
85 views

Import arcpy using PyScripter or IDLE gives No module named RuntimeError?

I'm trying to figure out this problem. Yesterday I installed PyScripter and since then, scripts doesn't work. When I run any script (in PyScripter or IDLE) which uses "import arcpy", I get this error ...
2
votes
1answer
42 views

Python Error while installing Cartogram

I am quite new to GIS and qGIS especially. I would like to install cfarmers cartogram plugin. From what I understand, this has to be done manually - so I 've followed the instructions from ...
2
votes
1answer
286 views

Python support with QGIS 2.4 on Ubuntu 14.04

I recently updated my Ubuntu system to version 14.04. I added the sources and installed QGIS as per the directions on the QGIS website. Everything looks good, except for I do not have all the ...
1
vote
1answer
40 views

Reinitialize ArcGIS10.0 Python installation

I am developing a Python script for a Toolbox that required a few libraries which I installed manually into C:\Python26\ArcGIS10.0\ and it worked just fine. To make the distribution easier, I dived ...
0
votes
0answers
59 views

gdal commands cannot import gdal — possibly ArcGis conflict with separate Python?

I installed ArcGIS 10.1 yesterday (Windows 7 64-bit), but have a separate Python 2.7 installation. Now my gdal does not work correctly anymore. It looks like all commands without the ending "*.py" ...
2
votes
0answers
264 views

Running x64 bit geoprocessing Python in Python IDLE 2.7.6 x64 error

I am trying to set the Python IDLE 2.7.6 x64 to run the arcpy module from ArcGIS x64 bit geoprocessing (10.2.2). I copied the file DTBGGP64.pth from C:\Python27\ArcGISx6410.2\Lib\site-packages to ...
0
votes
0answers
275 views

How to install python-mapscript in a virtualenv?

I am on a django project where I want to use the python implementation of the mapserver mapscript library. I was able to install mapserver and python-mapscript from source. However, due to the ...
1
vote
1answer
252 views

Problem loading PyQGIS

There is a problem on my system when starting QGIS. I get this error. I am running openSuse Tumbleweed 64bit and openSuse 12.3 64bit. Same problem on both systems. Couldn't load PyQGIS. Python ...
4
votes
1answer
497 views

Does anyone use both ArcGIS and Python(x,y)?

I'm trying to get ArcGIS 10.1 and Python(x,y) to peacefully co-exist with a unified installation of Python. Surely someone else is using both these tools... right? Pointers would be much appreciated. ...
4
votes
1answer
629 views

How to set up Python 2.7 to work in both QGIS and ArcGIS?

I have both ArcGIS 10.1 and QGIS 1.8 installed and both include Python 2.7 in slightly different setups and in different folders (c:\Python27\ArcGIS10.1\ and c:\Program Files (x86)\Quantum GIS ...
3
votes
1answer
1k views

How to install SciPy for QGIS Standalone [closed]

A number of QGIS plugins require the Python package SciPy to be installed. This package is available using the OSGeo4W package based installer or precompiled for Windows, but is not provided as part ...
4
votes
1answer
61 views

How to deliver an additional Python Library with own Plugin?

For my own plugin I need a special library (pyexiv2) to write a comment into a jpg file (PIL does not do that). When I want to share my plugin in one of the repositories in the future, what would be a ...
2
votes
1answer
246 views

Getting SAGA-GIS Python Bindings without compiling from source

I am very new to SAGA-GIS, but I recently developed a workflow using SAGA for processing LiDAR data. Now I need to batch the process using Python. I installed SAGA from the Windows installer and I ...
1
vote
1answer
1k views

Why can't I install python-qgis on Ubuntu 12?

I am with ubuntu 12 and Qgis 1.8. I have installed QGIS and grass plugin but I can't install python plugin. How to install python plugin with dependeny in Ubuntu? ~$ sudo apt-get install python-qgis ...
6
votes
3answers
255 views

Do OSGeo4W and ArcGIS 10.0 use the same Python installation?

This question was asked several years ago at: Can ArcGIS and OSGeo4W share the same python install?, but it seems that versions have changed since then. I currently have ArcGIS 10.0 installed (not ...
5
votes
2answers
676 views

rpy2 installation on Mac OSX. A still unresolved problem on StackExchange and rpy-list [closed]

following lgautier's advice on rpy2 installation on Mac OSX, I posted my request on rpy-list and got in touch with Yair Benita who said he could only install rpy2 through his default Mac OS X python ...
1
vote
1answer
525 views

rpy2 installation on Mac OSX

I'm desperatly trying and retrying to install rpy2 on my Mac OS 10.6 in order to run SDA4PP plugin on QGIS. My version of R is 2.14.0 and it was obviously compiled with the option --enable-R-shlib ...
11
votes
5answers
6k views

Python GDAL package missing header file when installing via pip

I asked this question on Stack Overflow before I realised this site existed. As this site it more appropriate, I'll ask it here too. I'm trying to install gdal from pip pip install gdal inside a ...
3
votes
2answers
251 views

Where to install python plugins without internet access?

I have a problem where I have no internet access. In the thread regarding a similar subject, it was mentioned that the plugin .zip file should be extracted to the ".qgis/python/plugins" in the home ...
1
vote
3answers
2k views

Using QGIS with a pre-existing installation of Python 3.2 and matching GDAL

I need to have GDAL/OGR working with Python 3.2 because of another dependency. However, I also want to have QGIS for convenience. However, QGIS - FWTools in particular is built against Python 2.5, ...